<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html <?php language_attributes(); ?> xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title><?php wp_title('|', true, 'right'); ?></title>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" />
	<!-- leave this for stats -->
		<?php if ( get_theme_mod( 'clesarmedia_favicon' ) ) : ?>
			 <link rel="shortcut icon" href="<?php echo esc_url( get_theme_mod( 'clesarmedia_favicon' ) ); ?>" />
		<?php endif; ?>
		<meta name = "viewport" content = "user-scalable=no, width=device-width">
		<meta name="apple-mobile-web-app-capable" content="yes" />
		<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<header>
        <div id="top_menu" role="navigation">
            <div class="icon_header">
				<?php // Sanitization is done to clean user input before saving it to database
					$rss_clesar = get_theme_mod( 'clesarmedia_rss' , ''  );
					$facebook_clesar = get_theme_mod( 'clesarmedia_facebook' , ''  );
					$google_clesar = get_theme_mod( 'clesarmedia_google' , ''  );
					$vk_clesar = get_theme_mod( 'clesarmedia_vk' , ''  );
					$twitter_clesar = get_theme_mod( 'clesarmedia_twitter' , ''  );
				?>
                <?php if ($rss_clesar !== '') { ?><a href="<?php echo esc_url($rss_clesar); ?>"><i class="fa fa-rss"></i></a> <?php } ?>
                <?php if ($facebook_clesar !== '') { ?><a href="<?php echo esc_url($facebook_clesar); ?>"><i class="fa fa-facebook"></i></a><?php } ?>
                <?php if ($google_clesar !== ''){ ?><a href="<?php echo esc_url($google_clesar); ?>"><i class="fa fa-google-plus"></i></a><?php } ?>
                <?php if ($vk_clesar !== '') { ?><a href="<?php echo esc_url($vk_clesar); ?>"><i class="fa fa-vk"></i></a><?php } ?>
                <?php if ($twitter_clesar !== '') { ?><a href="<?php echo esc_url($twitter_clesar); ?>"><i class="fa fa-twitter"></i></a><?php } ?>
            </div>
            <div id="top_menu1">
                <div id="menutoggle">
                   <?php wp_nav_menu( array( 'theme_location' => 'Top' ) ); ?>
                </div>
            </div>
            <div id="search_top">
                <?php get_search_form(); ?>
            </div>
        </div> 
        <?php get_template_part( 'breakingnews'); ?>         
        <div id="menu_principale" role="navigation">  
            <?php if ( get_theme_mod( 'clesarmedia_logo' ) ) : ?>
                <div id="logo">
                    <div id="logo-center-responsive">
                    <a href='<?php echo esc_url( home_url( '/' ) ); ?>' title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'><img src="<?php echo esc_url( get_theme_mod( 'clesarmedia_logo' ) ); ?>" alt='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>'></a>
                
                    </div>
                </div>
                <nav class="menu2">
                    <a class="toggle-nav" href="#">&#9776;</a>
                    <?php wp_nav_menu( array( 'theme_location' => 'header', 'menu_class' => 'active' ) ); ?>
                </nav>
            <?php else : ?>
                <nav class="menu2">
                    <a class="toggle-nav" href="#">&#9776;</a>
                    <?php wp_nav_menu( array( 'theme_location' => 'header', 'menu_class' => 'active' ) ); ?>
                </nav>
            <?php endif; ?>
        </div>
    </header>
