<?php
class Popular_Posts_Thumbnails extends WP_Widget {
 
  // Configuration globale du widget
  function __construct() {
    $widget_args = array(
      'classname' => 'Popular_Posts',
      'description' => 'WordPress Popular Posts is a highly customizable widget that displays the most popular posts on your blog. by EightPixelDesign'  
    );
 
    $control_args = array(
      
    );
 
    parent::__construct(
      'Popular_Posts_thumbs',
      'Footer - Popular Posts with thumbnails',
      $widget_args,
      $control_args
    );
  }
 
  // Affichage en front-end
  function widget($args, $instance) { ?>
    <div class="widget">
      <li class='Popular-posts'><h2><?php echo $title = strip_tags($instance['title']); ?></h2>
          <?php $poppostsnumber = $nop = strip_tags($instance['nop']);
          $query = new WP_Query( array(
              'meta_key' => 'post_views_count',
              'orderby' => 'meta_value_num',
              'posts_per_page' => $poppostsnumber
          ) );
          while ( $query->have_posts() ) : $query->the_post(); ?>
            <div class="pop-posts-content">
                <div id="image-pop-posts-footer">
                    <a href="<?php the_permalink(); ?>"><?php if ( ! post_password_required() && ! is_attachment() ) :the_post_thumbnail(); endif; ?></a>
                    <div class="clearfix"></div>
                </div>
                <div id="content-pop-posts-footer">
                  <a href="<?php the_permalink(); ?>"><?php echo new_title('...', 9); ?></a>
                  <p><?php echo getPostViews(get_the_ID()); ?></p>
                </div>
                <div class="clearfix"></div>
            </div>
          <?php
          endwhile;
          ?>
      </li>
    </div> 
    <?php
  }
 
  // Traitement des données avant sauvegarde
  function update( $new_instance, $old_instance ) {
      $new_instance['title'] = strip_tags($new_instance['title']);
      $new_instance['nop'] = strip_tags($new_instance['nop']);
      return $new_instance;
  }
 
  // Affichage du formulaire de réglages du widget en back-end
  function form($instance) {
    $instance = wp_parse_args(
      $instance,
        array(
            'title' => 'Popular Posts',
            'nop' => '5'
        )
    ); 
    $title = strip_tags($instance['title']);
    $nop = strip_tags($instance['nop']);
    ?>
    <p>
        <label for="<?php echo $this->get_field_id('title'); ?>">Titre :</label>
        <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type='texte' value="<?php echo esc_attr($title); ?>" />
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('nop'); ?>">Number Of Posts</label>
        <input class="widefat" id="<?php echo $this->get_field_id('nop'); ?>" name="<?php echo $this->get_field_name('nop'); ?>" type='texte' value="<?php echo esc_attr($nop); ?>" />
    </p>
    <?php
  }
}

function init_Popular_Posts_widget() {
  register_widget('Popular_Posts_Thumbnails');
}
add_action('widgets_init', 'init_Popular_Posts_widget');
