<?php
class Latests_Posts_Thumbnails extends WP_Widget {
 
  // Configuration globale du widget
  function __construct() {
    $widget_args = array(
      'classname' => 'Latests_Posts',
      'description' => 'WordPress Latests Posts is a highly customizable widget that displays the most Latests posts on your blog. by EightPixelDesign'  
    );
 
    $control_args = array(
      
    );
 
    parent::__construct(
      'Latest_Posts_thumbs',
      'Footer - Latest Posts with thumbnails',
      $widget_args,
      $control_args
    );
  }
 
  // Affichage en front-end
  function widget($args, $instance) { ?>
    <div class="widget">
      <li class='Popular-posts'><h2><?php echo $title = strip_tags($instance['title']); ?></h2>
          <?php $latestnumberfooter = $noplatest = strip_tags($instance['noplatest']);
          $the_query = new WP_Query( 'posts_per_page='. $latestnumberfooter .'' );
          while ($the_query->have_posts()) : $the_query->the_post(); ?>
            <div class="pop-posts-content">
                <div id="image-pop-posts-footer">
                    <a href="<?php the_permalink(); ?>"><?php if ( ! post_password_required() && ! is_attachment() ) :the_post_thumbnail(); endif; ?></a>
                    <div class="clearfix"></div>
                </div>
                <div id="content-pop-posts-footer">
                  <a href="<?php the_permalink(); ?>"><?php echo new_title('...', 8); ?></a>
                  <p><?php comments_number('no Responses', '1 Response', '% Responses' );?></p>
                </div>
                <div class="clearfix"></div>
            </div>
          <?php
          endwhile; 
          ?>
      </li>
    </div>
    <?php
  }
 
  // Traitement des données avant sauvegarde
  function update( $new_instance, $old_instance ) {
      $new_instance['title'] = strip_tags($new_instance['title']);
      $new_instance['noplatest'] = strip_tags($new_instance['noplatest']);
      return $new_instance;
  }
 
  // Affichage du formulaire de réglages du widget en back-end
  function form($instance) {
    $instance = wp_parse_args(
      $instance,
        array(
            'title' => 'Latests Posts',
            'noplatest' => '5'
        )
    ); 
    $title = strip_tags($instance['title']);
    $noplatest = strip_tags($instance['noplatest']);
    ?>
    <p>
        <label for="<?php echo $this->get_field_id('title'); ?>">Titre :</label>
        <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type='texte' value="<?php echo esc_attr($title); ?>" />
    </p>
    <p>
        <label for="<?php echo $this->get_field_id('noplatest'); ?>">Number Of Posts</label>
        <input class="widefat" id="<?php echo $this->get_field_id('noplatest'); ?>" name="<?php echo $this->get_field_name('noplatest'); ?>" type='texte' value="<?php echo esc_attr($noplatest); ?>" />
    </p>
    <?php
  }
}

function init_Latests_Posts_widget() {
  register_widget('Latests_Posts_Thumbnails');
}
add_action('widgets_init', 'init_Latests_Posts_widget');
